Bug 714050 - more files should be excluded from etckeeper
Summary: more files should be excluded from etckeeper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etckeeper
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-17 09:13 UTC by Joel Uckelman
Modified: 2011-07-12 04:49 UTC (History)
1 user (show)

Fixed In Version: etckeeper-0.55-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-12 04:49:14 UTC
Type: ---


Attachments (Terms of Use)

Description Joel Uckelman 2011-06-17 09:13:07 UTC
Description of problem:

/etc/prelink.cache is written automatically by a cron job. It's not user-editable.

/etc/cups/subscriptions.conf and /etc/cups/subscriptions.conf.0 are, so far as I can tell, managed by cupsd. 

These three files are changed quite often, so add a lot of noise to automatic etckeeper commits, but as they're automatically generated, there's no reason to have them under version control.

Version-Release number of selected component (if applicable):

etckeeper-0.54-1.fc15.noarch

Comment 1 Joel Uckelman 2011-06-17 10:06:06 UTC
Ack, that should be "/etc/cups/subscriptions.conf.O", not "/etc/cups/subscriptions.conf.0".

Comment 2 Thomas Moschny 2011-06-17 18:41:40 UTC
Two different issues here (although both are FHS violations).

For /etc/prelink.cache: This will be ignored in the next version of etckeeper, see http://git.kitenet.net/?p=etckeeper.git;a=commit;h=eecbe323 .

For /etc/cups/subscriptions.conf (and its backup): this *is* a configuration file. Unfortunately cups constantly updates timestamp and version information though. cups upstream refuses to fix that, see http://www.cups.org/str.php?L3067.

For Debian, there's this bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=549673 with patches trying to address the issue. However that would be a cups bug then, not an etckeeper one.

Comment 3 Joel Uckelman 2011-06-17 18:47:08 UTC
Thanks for the quick response.

Shouldn't prelink.cache properly be under /var somewhere? Do you know if anyone has complained to he prelink maintainer about this?

Comment 4 Thomas Moschny 2011-06-17 19:15:52 UTC
(In reply to comment #3)
> Shouldn't prelink.cache properly be under /var somewhere?

Probably.

> Do you know if anyone has complained to he prelink maintainer about this?

A quick search shows Bug 437684 which unfortunately doesn't contain any statement from the maintainer.

Comment 5 Fedora Update System 2011-06-28 17:25:38 UTC
etckeeper-0.55-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/etckeeper-0.55-1.fc15

Comment 6 Fedora Update System 2011-06-29 21:54:54 UTC
Package etckeeper-0.55-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing etckeeper-0.55-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/etckeeper-0.55-1.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-07-12 04:49:09 UTC
etckeeper-0.55-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.